<?php
require_once("../clases/Actividad.class.php");

$obj = new Actividad();
$text = $_REQUEST["text"];

switch ($text) {

    // GUARDAR / ACTUALIZAR
    case 'G':
        $id = intval($_POST["id"]);
        $proyecto_id = intval($_POST["proyecto_id"]);
        $nombre = $_POST["nombre"];
        $fi = $_POST["fecha_inicio"];
        $ff = $_POST["fecha_fin"];
        $prioridad = $_POST["prioridad"];
        $estado = $_POST["estado"];
		$actividad = $_POST["actividad"];
		$parent_id = ($_POST["parent_id"] == "" ? 0 : intval($_POST["parent_id"]));

        if ($id == 0) {
            $obj->Crear($proyecto_id, $nombre, $fi, $ff, $prioridad, $estado,$actividad, $parent_id);
        } else {
            $obj->Actualizar($id,$proyecto_id, $nombre, $fi, $ff, $prioridad, $estado,$actividad, $parent_id);
        }  
        //cho "aqui estamos y no pasa nada".$parent_id ;
        header("Location: ../listaractividad.php?proyecto_id=$proyecto_id");
        break;

    // ELIMINAR
    case 'E':
        $id = intval($_GET["id"]);
        $proyecto_id = intval($_GET["proyecto_id"]);
        $obj->Eliminar($id);

        header("Location: ../listaractividad.php?proyecto_id=$proyecto_id");
        break;
}
?>
